# \Thelia\Model\MapGroupModuleTableMap

This class defines the structure of the 'group_module' table.

This map class is used by Propel to do runtime db structure discovery. For example, the createSelectSql() method checks the type of a given column used in an ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive (i.e. if it's a text column type).

## Summary

Methods
Properties
Constants
initialize()
buildRelations()
getBehaviors()
getPrimaryKeyHashFromRow()
getPrimaryKeyFromRow()
getOMClass()
populateObject()
populateObjects()
addSelectColumns()
getTableMap()
buildTableMap()
doDelete()
doDeleteAll()
doInsert()
No public properties found
CLASS_NAME
DATABASE_NAME
TABLE_NAME
OM_CLASS
CLASS_DEFAULT
NUM_COLUMNS
NUM_LAZY_LOAD_COLUMNS
NUM_HYDRATE_COLUMNS
ID
GROUP_ID
MODULE_ID
ACCESS
CREATED_AT
UPDATED_AT
DEFAULT_STRING_FORMAT
No protected methods found
$fieldNames
$fieldKeys
N/A
No private methods found
No private properties found
N/A

File
  Model/Map/GroupModuleTableMap.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\Map\TableMap
  \Thelia\Model\Map\GroupModuleTableMap

## Tags

None found

## Constants

### CLASS_NAME

    CLASS_NAME

The (dot-path) name of this class

#

## Tags

None found

### DATABASE_NAME

    DATABASE_NAME

The default database name for this class

#

## Tags

None found

### TABLE_NAME

    TABLE_NAME

The table name for this class

#

## Tags

None found

### OM_CLASS

    OM_CLASS

The related Propel class for this table

#

## Tags

None found

### CLASS_DEFAULT

    CLASS_DEFAULT

A class that can be returned by this tableMap

#

## Tags

None found

### NUM_COLUMNS

    NUM_COLUMNS

The total number of columns

#

## Tags

None found

### NUM_LAZY_LOAD_COLUMNS

    NUM_LAZY_LOAD_COLUMNS

The number of lazy-loaded columns

#

## Tags

None found

### NUM_HYDRATE_COLUMNS

    NUM_HYDRATE_COLUMNS

The number of columns to hydrate (NUM_COLUMNS - NUM_LAZY_LOAD_COLUMNS)

#

## Tags

None found

### ID

    ID

the column name for the ID field

#

## Tags

None found

### GROUP_ID

    GROUP_ID

the column name for the GROUP_ID field

#

## Tags

None found

### MODULE_ID

    MODULE_ID

the column name for the MODULE_ID field

#

## Tags

None found

### ACCESS

    ACCESS

the column name for the ACCESS field

#

## Tags

None found

### CREATED_AT

    CREATED_AT

the column name for the CREATED_AT field

#

## Tags

None found

### UPDATED_AT

    UPDATED_AT

the column name for the UPDATED_AT field

#

## Tags

None found

### DEFAULT_STRING_FORMAT

    DEFAULT_STRING_FORMAT

The default string format for model objects of the related table

#

## Tags

None found

## Properties

### $fieldNames

    $fieldNames

holds an array of fieldnames

first dimension keys are the type constants e.g. self::$fieldNames[self::TYPE_PHPNAME][0] = 'Id'

#

## Tags

None found

### $fieldKeys

    $fieldKeys

holds an array of keys for quick access to the fieldnames array

first dimension keys are the type constants e.g. self::$fieldKeys[self::TYPE_PHPNAME]['Id'] = 0

#

## Tags

None found

## Methods

### initialize()

    initialize() : void

Initialize the table attributes and columns Relations are not initialized by this method since they are lazy loaded

#### Throws

\Propel\Runtime\Exception\PropelException

#

## Tags

None found

### buildRelations()

    buildRelations()

Build the RelationMap objects for this table relationships

#

## Tags

None found

### getBehaviors()

    getBehaviors() : array

Gets the list of behaviors registered for this table

#### Returns

array —

Associative array (name => parameters) of behaviors

#

## Tags

None found

### getPrimaryKeyHashFromRow()

    getPrimaryKeyHashFromRow(array $row, int $offset, string $indexType)

Retrieves a string version of the primary key from the DB resultset row that can be used to uniquely identify a row in this table.

For tables with a single-column primary key, that simple pkey value will be returned. For tables with a multi-column primary key, a serialize()d version of the primary key will be returned.

#### Parameters

array | $row | resultset row.
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM

#

static

## Tags

None found

### getPrimaryKeyFromRow()

    getPrimaryKeyFromRow(array $row, int $offset, string $indexType) : mixed

Retrieves the primary key from the DB resultset row For tables with a single-column primary key, that simple pkey value will be returned. For tables with a multi-column primary key, an array of the primary key columns will be returned.

#### Parameters

array | $row | resultset row.
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM

#### Returns

mixed —

The primary key of the row

#

static

## Tags

None found

### getOMClass()

    getOMClass(boolean $withPrefix) : string

The class that the tableMap will make instances of.

If $withPrefix is true, the returned path uses a dot-path notation which is translated into a path relative to a location on the PHP include_path. (e.g. path.to.MyClass -> 'path/to/MyClass.php')

#### Parameters

boolean | $withPrefix | Whether or not to return the path with the class name

#### Returns

string —

path.to.ClassName

#

static

## Tags

None found

### populateObject()

    populateObject(array $row, int $offset, string $indexType) : array

Populates an object of the default type or an object that inherit from the default.

#### Parameters

array | $row | row returned by DataFetcher->fetch().
int | $offset | The 0-based offset for reading from the resultset row.
string | $indexType | The index type of $row. Mostly DataFetcher->getIndexType(). One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM.

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

array —

(GroupModule object, last column rank)

#

static

## Tags

None found

### populateObjects()

    populateObjects(\Thelia\Model\Map\DataFetcherInterface $dataFetcher) : array

The returned array will contain objects of the default type or objects that inherit from the default.

#### Parameters

\Thelia\Model\Map\DataFetcherInterface | $dataFetcher |

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

array

#

static

## Tags

None found

### addSelectColumns()

    addSelectColumns(\Propel\Runtime\ActiveQuery\Criteria $criteria, string $alias)

Add all the columns needed to create a new object.

Note: any columns that were marked with lazyLoad="true" in the XML schema will not be added to the select list and only loaded on demand.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | object containing the columns to add.
string | $alias | optional table alias

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#

static

## Tags

None found

### getTableMap()

    getTableMap() : \Propel\Runtime\Map\TableMap

Returns the TableMap related to this object.

This method is not needed for general use but a specific application could have a need.

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

\Propel\Runtime\Map\TableMap

#

static

## Tags

None found

### buildTableMap()

    buildTableMap()

Add a TableMap instance to the database for this tableMap class.

#

static

## Tags

None found

### doDelete()

    doDelete(mixed $values, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a GroupModule or Criteria object OR a primary key value.

#### Parameters

mixed | $values | Criteria or GroupModule object or primary key or array of primary keys which is used to create the DELETE statement
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

static

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the group_module table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

static

## Tags

None found

### doInsert()

    doInsert(mixed $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : mixed

Performs an INSERT on the database, given a GroupModule or Criteria object.

#### Parameters

mixed | $criteria | Criteria or GroupModule object containing data that is used to create the INSERT statement.
\Propel\Runtime\Connection\ConnectionInterface | $con | the ConnectionInterface connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

mixed —

The new primary key.

#

static

## Tags

None found

### GroupModuleTableMap.php